const sunOptions = {
	display: 'block',
	width: '100%',
	height: 'auto',
	popupDisplay: 'full',
	charCounter: true,
	charCounterLabel: 'Characters :',
	imageGalleryUrl: 'https://etyswjpn79.execute-api.ap-northeast-1.amazonaws.com/suneditor-demo',
	buttonList: [
		// default
		['undo', 'redo'],
		['font', 'fontSize', 'formatBlock'],
		['paragraphStyle', 'blockquote'],
		['bold', 'underline', 'italic', 'strike', 'subscript', 'superscript'],
		['fontColor', 'hiliteColor', 'textStyle'],
		['removeFormat'],
		['outdent', 'indent'],
		['align', 'horizontalRule', 'list', 'lineHeight'],
		['table', 'link', 'image', 'video', 'audio', 'math'],
		['imageGallery'],
		['fullScreen', 'showBlocks', 'codeView'],
		['preview', 'print'],
		['save', 'template'],
		// (min-width: 1546)
		['%1546', [
			['undo', 'redo'],
			['font', 'fontSize', 'formatBlock'],
			['paragraphStyle', 'blockquote'],
			['bold', 'underline', 'italic', 'strike', 'subscript', 'superscript'],
			['fontColor', 'hiliteColor', 'textStyle'],
			['removeFormat'],
			['outdent', 'indent'],
			['align', 'horizontalRule', 'list', 'lineHeight'],
			['table', 'link', 'image', 'video', 'audio', 'math'],
			['imageGallery'],
			['fullScreen', 'showBlocks', 'codeView'],
			['-right', ':i-More Misc-default.more_vertical', 'preview', 'print', 'save', 'template']
		]],
		// (min-width: 1455)
		['%1455', [
			['undo', 'redo'],
			['font', 'fontSize', 'formatBlock'],
			['paragraphStyle', 'blockquote'],
			['bold', 'underline', 'italic', 'strike', 'subscript', 'superscript'],
			['fontColor', 'hiliteColor', 'textStyle'],
			['removeFormat'],
			['outdent', 'indent'],
			['align', 'horizontalRule', 'list', 'lineHeight'],
			['table', 'link', 'image', 'video', 'audio', 'math'],
			['imageGallery'],
			['-right', ':i-More Misc-default.more_vertical', 'fullScreen', 'showBlocks', 'codeView', 'preview', 'print', 'save', 'template']
		]],
		// (min-width: 1326)
		['%1326', [
			['undo', 'redo'],
			['font', 'fontSize', 'formatBlock'],
			['paragraphStyle', 'blockquote'],
			['bold', 'underline', 'italic', 'strike', 'subscript', 'superscript'],
			['fontColor', 'hiliteColor', 'textStyle'],
			['removeFormat'],
			['outdent', 'indent'],
			['align', 'horizontalRule', 'list', 'lineHeight'],
			['-right', ':i-More Misc-default.more_vertical', 'fullScreen', 'showBlocks', 'codeView', 'preview', 'print', 'save', 'template'],
			['-right', ':r-More Rich-default.more_plus', 'table', 'link', 'image', 'video', 'audio', 'math', 'imageGallery']
		]],
		// (min-width: 1123)
		['%1123', [
			['undo', 'redo'],
			[':p-More Paragraph-default.more_paragraph', 'font', 'fontSize', 'formatBlock', 'paragraphStyle', 'blockquote'],
			['bold', 'underline', 'italic', 'strike', 'subscript', 'superscript'],
			['fontColor', 'hiliteColor', 'textStyle'],
			['removeFormat'],
			['outdent', 'indent'],
			['align', 'horizontalRule', 'list', 'lineHeight'],
			['-right', ':i-More Misc-default.more_vertical', 'fullScreen', 'showBlocks', 'codeView', 'preview', 'print', 'save', 'template'],
			['-right', ':r-More Rich-default.more_plus', 'table', 'link', 'image', 'video', 'audio', 'math', 'imageGallery']
		]],
		// (min-width: 817)
		['%817', [
			['undo', 'redo'],
			[':p-More Paragraph-default.more_paragraph', 'font', 'fontSize', 'formatBlock', 'paragraphStyle', 'blockquote'],
			['bold', 'underline', 'italic', 'strike'],
			[':t-More Text-default.more_text', 'subscript', 'superscript', 'fontColor', 'hiliteColor', 'textStyle'],
			['removeFormat'],
			['outdent', 'indent'],
			['align', 'horizontalRule', 'list', 'lineHeight'],
			['-right', ':i-More Misc-default.more_vertical', 'fullScreen', 'showBlocks', 'codeView', 'preview', 'print', 'save', 'template'],
			['-right', ':r-More Rich-default.more_plus', 'table', 'link', 'image', 'video', 'audio', 'math', 'imageGallery']
		]],
		// (min-width: 673)
		['%673', [
			['undo', 'redo'],
			[':p-More Paragraph-default.more_paragraph', 'font', 'fontSize', 'formatBlock', 'paragraphStyle', 'blockquote'],
			[':t-More Text-default.more_text', 'bold', 'underline', 'italic', 'strike', 'subscript', 'superscript', 'fontColor', 'hiliteColor', 'textStyle'],
			['removeFormat'],
			['outdent', 'indent'],
			['align', 'horizontalRule', 'list', 'lineHeight'],
			[':r-More Rich-default.more_plus', 'table', 'link', 'image', 'video', 'audio', 'math', 'imageGallery'],
			['-right', ':i-More Misc-default.more_vertical', 'fullScreen', 'showBlocks', 'codeView', 'preview', 'print', 'save', 'template']
		]],
		// (min-width: 525)
		['%525', [
			['undo', 'redo'],
			[':p-More Paragraph-default.more_paragraph', 'font', 'fontSize', 'formatBlock', 'paragraphStyle', 'blockquote'],
			[':t-More Text-default.more_text', 'bold', 'underline', 'italic', 'strike', 'subscript', 'superscript', 'fontColor', 'hiliteColor', 'textStyle'],
			['removeFormat'],
			['outdent', 'indent'],
			[':e-More Line-default.more_horizontal', 'align', 'horizontalRule', 'list', 'lineHeight'],
			[':r-More Rich-default.more_plus', 'table', 'link', 'image', 'video', 'audio', 'math', 'imageGallery'],
			['-right', ':i-More Misc-default.more_vertical', 'fullScreen', 'showBlocks', 'codeView', 'preview', 'print', 'save', 'template']
		]],
		// (min-width: 420)
		['%420', [
			['undo', 'redo'],
			[':p-More Paragraph-default.more_paragraph', 'font', 'fontSize', 'formatBlock', 'paragraphStyle', 'blockquote'],
			[':t-More Text-default.more_text', 'bold', 'underline', 'italic', 'strike', 'subscript', 'superscript', 'fontColor', 'hiliteColor', 'textStyle', 'removeFormat'],
			[':e-More Line-default.more_horizontal', 'outdent', 'indent', 'align', 'horizontalRule', 'list', 'lineHeight'],
			[':r-More Rich-default.more_plus', 'table', 'link', 'image', 'video', 'audio', 'math', 'imageGallery'],
			['-right', ':i-More Misc-default.more_vertical', 'fullScreen', 'showBlocks', 'codeView', 'preview', 'print', 'save', 'template']
		]]
	],
	placeholder: 'Start typing something...',
	templates: [
		{
			name: 'Template-1',
			html: '<p>HTML source1</p>'
		},
		{
			name: 'Template-2',
			html: '<p>HTML source2</p>'
		}
	],
	codeMirror: CodeMirror,
	katex: katex
};

let elements = document.querySelectorAll('textarea.html')
let suneditor = [];

for (i = 0; i < elements.length; ++i) {
  //sunOptions['element'] = elements[i];
  sunOptions[i] = SUNEDITOR.create(elements[i], sunOptions);
}
